## ucl 1.03

=== debian/changelog ===
ucl (1.03-5) unstable; urgency=low

  * Switch to `3.0 (quilt)' format. Add initial 01-Examples.patch
    containing previous changes.
  * Switch to debhelper v9 and tiny rules file:
    + use dh_autotools-dev to update config.{sub,guess} files;
    + multi-arch support;
    + use dpkg-buildflags to set CFLAGS and LDFLAGS;
    + bump build-dependencies on debhelper and dpkg-dev.
  * Fix examples/Makefile not to remove original *.c.gz files.
  * debian/control:
    + add VCS fields.
    + drop ancient Conflicts/Replaces/Provides on libucl;
    + Standards-Version: 3.9.2 (no changes);
    + sort dependency fields with wrap-and-sort.

 -- Robert Luberda <robert@debian.org>  Sun, 08 Jan 2012 20:45:02 +0100

ucl (1.03-4) unstable; urgency=low

  * Update config.sub & config.guess (closes: #531963).
  * Switch to debhelper v7.
  * Standards-Version: 3.8.1.
  * Fix copyright-refers-to-versionless-license-file lintian's warning.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 09:30:19 +0200

ucl (1.03-3) unstable; urgency=low

  * debian/rules:
    + Don't ignore make distclean errors (lintian).
    + Include  `-Wl,-z,noexecstack' in LDFLAGS (fixes lintian's
     `shlib-with-executable-stack' warning).
    + Add `-Wl,-z,defs -Wl,--as-needed' to LDFLAGS.
    + Add support for cross-linking.
    + Compile with -D_REENTRANT (policy).
  * Build with debhelper v6.
  * Use ${binary:Version} instead of ${Source-Version} (lintian).
  * Move Homepage to its own control field.
  * Standards-Version: 3.7.3.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Jan 2008 22:00:17 +0100

ucl (1.03-2) unstable; urgency=low

  * Upload to unstable.
  * Fix typo in debian/watch.

 -- Robert Luberda <robert@debian.org>  Tue, 28 Sep 2004 21:31:12 +0200

ucl (1.03-1) experimental; urgency=low

  * New upstream version.
  * Update download URL in the copyright file.
  * New debian/watch file for uscan(1).
  * Add link to the homepage to binary packages' descriptions.
  * Add lintian source override file for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Jul 2004 20:17:53 +0200

ucl (1.02-1) experimental; urgency=low

  * New upstream version:
    +  rename libucl0 to libucl1 beacuse of soname change.
  * Change section of libcul-dev package to libdevel to match the override
    file.
  * Update config.guess and config.sub files. 
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 27 Mar 2004 10:41:12 +0100

ucl (1.01-3) unstable; urgency=low

  * Upgrade to Standards-Version: 3.5.7.
  * Build with debhelper v4.
  * libucl-dev: Depends on `libc6-dev | libc-dev', not on `libc6-dev'.

 -- Robert Luberda <robert@debian.org>  Sat, 16 Nov 2002 10:43:01 +0100

ucl (1.01-2) unstable; urgency=low

  * Rename libucl to libucl0 (closes: #140415).
  * Add some examples to libucl-dev.
  * Close NMU fixed bug, closes: #96604.

 -- Robert Luberda <robert@debian.org>  Tue,  2 Apr 2002 08:12:50 +0200

ucl (1.01-1) unstable; urgency=low

  * New maintainer (closes: #128399).
  * New upstream version (closes: #128015).
  * Standars-Version: 3.5.6.
  * Added support for DEB_BUILD_OPTIONS=debug,nostrip.
  * Updated debian/rules to the newest debhelper.
  * Use dh_makeshlibs to generate shlibs file and modify maintainer scripts
    (and make lintian happy).

 -- Robert Luberda <robert@debian.org>  Thu, 28 Mar 2002 09:13:17 +0100

ucl (0.92-1.1) unstable; urgency=low

  * Run libtoolize to get support for new architectures.  Closes: #96604

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

ucl (0.92-1) unstable; urgency=low

  * New upstream version. Closes: #79801, #79802, #79803.

 -- Leon Breedt <ljb@debian.org>  Wed, 18 Apr 2001 23:07:20 +0200

ucl (0.91-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix copyright file. Fixes #79801
  * Add a Build-Depends on debhelper to keep lintian happy.

 -- Paul Martin <pm@debian.org>  Sat, 17 Mar 2001 01:50:46 +0000

ucl (0.91-1) unstable; urgency=low

  * Initial release

 -- Leon Breedt <ljb@debian.org>  Tue,  4 Jul 2000 20:26:38 +0200
