=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  conf_add := --enable-debug
else
  conf_add :=
endif

BUILD           := DEB-BUILD
DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILD) --parallel
export CFLAGS   := -g -D_REENTRANT \
                   $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS  := -Wl,-z,noexecstack -Wl,-z,defs -Wl,--as-needed \
                   $(shell dpkg-buildflags --get LDFLAGS)


%:
	dh "$@"

override_dh_auto_configure: $(BUILD)/configure-stamp
$(BUILD)/configure-stamp:
	rm -f .pc/.*unapply # see bug#649521
	
	dh_autotools-dev_updateconfig
	@echo "==> Configuring UCL"
	dh_auto_configure $(DH_AUTO_OPTIONS) -- \
	                   --enable-shared  $(conf_add)
	touch "$@"

override_dh_auto_build: $(BUILD)/build-stamp
$(BUILD)/build-stamp: $(BUILD)/configure-stamp
	@echo "==> Building UCL"
	dh_auto_build $(DH_AUTO_OPTIONS)
	touch "$@"

override_dh_auto_clean:
	rm -f $(BUILD)/build-stamp $(BUILD)/configure-stamp
	dh_auto_clean $(DH_AUTO_OPTIONS)
	dh_autotools-dev_restoreconfig

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -Nlibucl-dev -V
