## ucl 1.03%2Brepack

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 8.9.14~), dpkg-dev (>= 1.16)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.6
 Homepage: http://www.oberhumer.com/opensource/ucl/
 Vcs-Git: git://anonscm.debian.org/users/robert/ucl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/ucl.git
@@ -12,6 +12,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Portable compression library - runtime
  UCL is a portable lossless data compression library written in ANSI C,
  implementing a number of compression algorithms that achieve an
@@ -22,6 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends: libc6-dev | libc-dev, libucl1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: Portable compression library - development
  UCL is a portable lossless data compression library written in ANSI C,
