## ucl 1.03+repack

=== debian/changelog ===
ucl (1.03+repack-6) unstable; urgency=medium

  * Bump debhelper's compat version to 13.
  * Add 08-Asm-build-flags.patch to make build log checker happy by passing
    CPPFLAGS and CFLAGS to gcc calls that compile assembly code on *i386 archs.
  * Add `Build-Depends-Package' to symbols file (lintian).
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Tue, 12 Jan 2021 19:58:58 +0100

ucl (1.03+repack-5) unstable; urgency=medium

  * Add 05-Fix-double-free.patch from John Reiser to fix memory clobbering
    issue visible in upx (closes: #907426).
  * New 06-Fix-memory-errors.patch to initialize memory in order to get rid
    of memory errors detected by valgrind in a test program included in the
    bug report (closes: #804474).
  * Add 07-Fix-FTBFS-on-x32.patch that hopefully fixes compilation on x32 arch.
  * Bump debhelper's compat version to 11.
  * debian/rules:
    + enable `pie' hardening option;
    + do not use dpkg-parsechangelog (lintian);
    + enable LFS flags (lintian).
  * Document files removed from the upstream tarball in Files-Excluded
    field of debian/copyright (lintian) and update debian/watch for
    automatic creation of the tarball.
  * Add DEP-12 upstream metadata file.
  * debian/control:
    + update Vcs-* fields for salsa migration;
    + use https protocol in the `Homepage' field;
    + set `Rules-Requires-Root' to `no';
    + Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Sep 2018 20:57:20 +0200

ucl (1.03+repack-4) unstable; urgency=medium

  * Introduce 04-Static-assert.patch to fix FTBFS with gcc-6 by using
    _Static_assert for compile-time assertions (closes: #811707).
  * debian/rules: enable all hardening options except for pie.
  * debian/control:
    + switch VCS fields to https;
    + bump Standards-Version to 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jul 2016 09:04:58 +0200

ucl (1.03+repack-3) unstable; urgency=medium

  * Add 03-Reproducible-build.patch which introduces support for
    BUILD_DATETIME pre-processor variable and set its value in
    debian/rules to make build reproducible.
  * Switch to DEP-5 copyright file format.
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Jun 2015 11:55:35 +0200

ucl (1.03+repack-2) unstable; urgency=medium

  * debian/symbols: Tag appropriate symbols with `(arch=any-i386)' prefix
    to fix FTBFS on non-i386 architectures (closes: #749146)

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2014 23:37:19 +0200

ucl (1.03+repack-1) unstable; urgency=medium

  * Repack the upstream tarball to get dir of pre-compiled object
    files and thus make lintian happy.
  * Switch to using dh-autoreconf instead of autotools-dev (closes: #744671):
    + introduce 02-Autoreconf.patch to fix the autoreconf failures;
    + update debian/rules and source dependencies in debian/rules.
  * Provide symbols file (lintian).
  * Standards-Version: 3.9.5 (no changes).
  * Mark binary package as Multi-Arch: same.

 -- Robert Luberda <robert@debian.org>  Thu, 22 May 2014 00:22:37 +0200
