=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
-Homepage: http://www.oberhumer.com/opensource/ucl/
-Vcs-Git: git://anonscm.debian.org/users/robert/ucl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/ucl.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Homepage: https://www.oberhumer.com/opensource/ucl/
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/ucl.git
+Vcs-Browser: https://salsa.debian.org/debian/ucl/
 
 Package: libucl1
 Architecture: any
