=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  conf_add := --enable-debug
else
  conf_add :=
endif

BUILD           := DEB-BUILD
DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILD) --parallel

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CPPFLAGS_MAINT_APPEND := -D_REENTRANT
DEB_CFLAGS_MAINT_APPEND := $(shell getconf LFS_CFLAGS)
DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,noexecstack -Wl,-z,defs
DPKG_EXPORT_BUILDFLAGS  := 1

include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC  := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC  := gcc
endif

include /usr/share/dpkg/pkg-info.mk
BUILD_DATETIME  := $(shell TZ=UTC LC_ALL=C date -R -d "@${SOURCE_DATE_EPOCH}")
export UCL_EXTRA_CPPFLAGS := '-DBUILD_DATETIME="$(BUILD_DATETIME)"'

%:
	dh "$@"

override_dh_auto_configure:
	@echo "==> Configuring UCL"
	dh_auto_configure $(DH_AUTO_OPTIONS) -- \
	                   --enable-shared  $(conf_add)

override_dh_auto_build:
	@echo "==> Building UCL"
	dh_auto_build $(DH_AUTO_OPTIONS)

override_dh_auto_clean:
	dh_auto_clean $(DH_AUTO_OPTIONS)

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -Nlibucl-dev -V
