=== debian/watch ===
# control file for the uscan(1) tool
version=4
opts="dversionmangle=s/\+repack$//,compression=xz,repack,repacksuffix=+repack" \
https://www.oberhumer.com/opensource/ucl/ \
	(?:.*/)ucl-([\d\.]+)\.tar\.gz
